
-- BEGIN TRANSACTION;
--  
CREATE TABLESPACE PW1
  IN V_DBNAME
  USING STOGROUP V_DBSTORAGEGROUP
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE    
;
CREATE TABLESPACE PW2
  IN V_DBNAME
  USING STOGROUP V_DBSTORAGEGROUP
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE    
;
CREATE TABLESPACE PW3
  IN V_DBNAME
  USING STOGROUP V_DBSTORAGEGROUP
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE    
;
CREATE TABLESPACE PW4
  IN V_DBNAME
  USING STOGROUP V_DBSTORAGEGROUP
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE    
;


CREATE TABLE V_SQLID.TG_PROCESSFLOWS (
  TRACKING_POINT_VALUE_ID DECIMAL(31,0) NOT NULL,
  SYSTEM_ID DECIMAL(31,0) NOT NULL,
  TRACKING_GROUP_ID DECIMAL(31,0) NOT NULL,
  TRACKING_POINT_ID DECIMAL(31,0) NOT NULL,
  TASK_ID DECIMAL(31,0) NOT NULL,
  FUNCTIONAL_TASK_ID DECIMAL(31,0) NOT NULL,
  TIME_STAMP TIMESTAMP,
  SNAPSHOT_ID CHAR(36)  ,
  BPD_ID VARCHAR(256) ,
  SOURCE_EUID VARCHAR(256) ,
  LOCAL_SNAPSHOT_ID VARCHAR(256) ,
  STEP_NUMBER DECIMAL(31,6) ,
  SEQUENCE_FLOW_ID VARCHAR(256) ,
  BPD_INSTANCE_ID DECIMAL(31,6)
) IN V_DBNAME.PW1;

CREATE TABLE V_SQLID.TG_SLASTATUS (
  TRACKING_POINT_VALUE_ID DECIMAL(31,0) NOT NULL,
  SYSTEM_ID DECIMAL(31,0) NOT NULL,
  TRACKING_GROUP_ID DECIMAL(31,0) NOT NULL,
  TRACKING_POINT_ID DECIMAL(31,0) NOT NULL,
  TASK_ID DECIMAL(31,0) NOT NULL,
  FUNCTIONAL_TASK_ID DECIMAL(31,0) NOT NULL,
  TIME_STAMP TIMESTAMP,
  SNAPSHOT_ID CHAR(36)  ,
  SLA_VALUE DECIMAL(31,6) ,
  INTERIM VARCHAR(256) ,
  VIOLATION_LEVEL DECIMAL(31,6)
) IN V_DBNAME.PW2;
 
CREATE TABLE V_SQLID.TG_SLATHRESHOLDTRAVERSALS (
  TRACKING_POINT_VALUE_ID DECIMAL(31,0) NOT NULL,
  SYSTEM_ID DECIMAL(31,0) NOT NULL,
  TRACKING_GROUP_ID DECIMAL(31,0) NOT NULL,
  TRACKING_POINT_ID DECIMAL(31,0) NOT NULL,
  TASK_ID DECIMAL(31,0) NOT NULL,
  FUNCTIONAL_TASK_ID DECIMAL(31,0) NOT NULL,
  TIME_STAMP TIMESTAMP,
  SNAPSHOT_ID CHAR(36)  ,
  TARGET_VALUE DECIMAL(31,6) ,
  TRACKING_POINT_GUID VARCHAR(256) ,
  METRIC_VALUE DECIMAL(31,6) ,
  VIOLATION_LEVEL DECIMAL(31,6) ,
  METRIC_GUID VARCHAR(256)
) IN V_DBNAME.PW3;

CREATE TABLE V_SQLID.TG_at1311158013828 (
  TRACKING_POINT_VALUE_ID DECIMAL(31,0) NOT NULL,
  SYSTEM_ID DECIMAL(31,0) NOT NULL,
  TRACKING_GROUP_ID DECIMAL(31,0) NOT NULL,
  TRACKING_POINT_ID DECIMAL(31,0) NOT NULL,
  TASK_ID DECIMAL(31,0) NOT NULL,
  FUNCTIONAL_TASK_ID DECIMAL(31,0) NOT NULL,
  TIME_STAMP TIMESTAMP,
  SNAPSHOT_ID CHAR(36)  ,
  kpiValueAdd DECIMAL(31,6) ,
  kpiExecutionTimeClock DECIMAL(31,6) ,
  kpiRework DECIMAL(31,6) ,
  STEP DECIMAL(31,6) ,
  NODE_ID DECIMAL(31,6) ,
  RHVar1 VARCHAR(256) ,
  kpiTotalTimeClock DECIMAL(31,6) ,
  kpiCost DECIMAL(31,6) ,
  kpiWaitTimeClock DECIMAL(31,6) ,
  kpiResourceCost DECIMAL(31,6) ,
  kpiLaborCost DECIMAL(31,6)
) IN V_DBNAME.PW4;

CREATE VIEW V_SQLID.PROCESSFLOWS
AS
SELECT
  TG.BPD_ID AS BPD_ID, 
  TG.BPD_INSTANCE_ID AS BPD_INSTANCE_ID, 
  TG.LOCAL_SNAPSHOT_ID AS LOCAL_SNAPSHOT_ID, 
  TG.SEQUENCE_FLOW_ID AS SEQUENCE_FLOW_ID, 
  TG.SOURCE_EUID AS SOURCE_EUID, 
  TG.STEP_NUMBER AS STEP_NUMBER, 	
  TG.TRACKING_GROUP_ID, 
  TG.TRACKING_POINT_ID, 
  TG.TASK_ID, 
  TG.FUNCTIONAL_TASK_ID, 
  TG.TIME_STAMP,
  S.NAME AS SNAPSHOT, 
  S.SHORT_NAME AS ACRONYM
  ,DATE(TIME_STAMP) + (1 - DAYOFYEAR(TIME_STAMP)) DAYS AS 
  TIME_STAMP_YEARS,DATE(TIME_STAMP) - MOD(MONTH(TIME_STAMP) - 1, 3) 
  MONTHS - (DAY(TIME_STAMP) - 1) 
  DAYS AS TIME_STAMP_QUARTERS,DATE(TIME_STAMP) + (1 - DAY(TIME_STAMP)) 
  DAYS AS TIME_STAMP_MONTHS,DATE(TIME_STAMP) + 
  (1 - DAYOFWEEK(TIME_STAMP)) DAYS AS TIME_STAMP_WEEKS,
  DATE(TIME_STAMP) AS TIME_STAMP_DAYS
FROM
  V_SQLID.TG_PROCESSFLOWS TG 
  LEFT OUTER JOIN V_SQLID.LSW_SNAPSHOT S
  ON S.SNAPSHOT_ID = TG.SNAPSHOT_ID;

CREATE VIEW V_SQLID.SLATHRESHOLDTRAVERSALS
AS
SELECT
  TG.METRIC_GUID AS METRIC_GUID, 
  TG.METRIC_VALUE AS METRIC_VALUE, 
  TG.TARGET_VALUE AS TARGET_VALUE, 
  TG.TRACKING_POINT_GUID AS TRACKING_POINT_GUID, 
  TG.VIOLATION_LEVEL AS VIOLATION_LEVEL, 	
  TG.TRACKING_GROUP_ID, 
  TG.TRACKING_POINT_ID, 
  TG.TASK_ID, 
  TG.FUNCTIONAL_TASK_ID, 
  TG.TIME_STAMP,
  S.NAME AS SNAPSHOT, 
  S.SHORT_NAME AS ACRONYM
	,DATE(TIME_STAMP) + (1 - DAYOFYEAR(TIME_STAMP)) DAYS AS 
  TIME_STAMP_YEARS,DATE(TIME_STAMP) - MOD(MONTH(TIME_STAMP) - 1, 3) 
  MONTHS - (DAY(TIME_STAMP) - 1) 
  DAYS AS TIME_STAMP_QUARTERS,DATE(TIME_STAMP) + (1 - DAY(TIME_STAMP)) 
  DAYS AS TIME_STAMP_MONTHS,DATE(TIME_STAMP) + 
  (1 - DAYOFWEEK(TIME_STAMP)) DAYS AS TIME_STAMP_WEEKS,
  DATE(TIME_STAMP) AS TIME_STAMP_DAYS
FROM 
  V_SQLID.TG_SLATHRESHOLDTRAVERSALS TG 
  LEFT OUTER JOIN V_SQLID.LSW_SNAPSHOT S 
  ON S.SNAPSHOT_ID = TG.SNAPSHOT_ID;

CREATE VIEW V_SQLID.SLASTATUS
AS
SELECT
  TG.INTERIM AS INTERIM, 
  TG.SLA_VALUE AS SLA_VALUE, 
  TG.VIOLATION_LEVEL AS VIOLATION_LEVEL, 	
  TG.TRACKING_GROUP_ID, 
  TG.TRACKING_POINT_ID, 
  TG.TASK_ID, 
  TG.FUNCTIONAL_TASK_ID, 
  TG.TIME_STAMP,
  S.NAME AS SNAPSHOT, 
  S.SHORT_NAME AS ACRONYM
  ,DATE(TIME_STAMP) + (1 - DAYOFYEAR(TIME_STAMP)) 
  DAYS AS TIME_STAMP_YEARS,
  DATE(TIME_STAMP) - MOD(MONTH(TIME_STAMP) - 1, 3) 
  MONTHS - (DAY(TIME_STAMP) - 1) 
  DAYS AS TIME_STAMP_QUARTERS,DATE(TIME_STAMP) + (1 - DAY(TIME_STAMP)) 
  DAYS AS TIME_STAMP_MONTHS,DATE(TIME_STAMP) + 
  (1 - DAYOFWEEK(TIME_STAMP)) DAYS AS TIME_STAMP_WEEKS,
  DATE(TIME_STAMP) AS TIME_STAMP_DAYS
FROM 
  V_SQLID.TG_SLASTATUS TG 
  LEFT OUTER JOIN V_SQLID.LSW_SNAPSHOT S 
  ON S.SNAPSHOT_ID = TG.SNAPSHOT_ID;

CREATE VIEW V_SQLID.at1311158013828
AS
SELECT
  TG.kpiCost AS kpiCost, 
  TG.kpiExecutionTimeClock AS kpiExecutionTimeClock, 
  TG.kpiLaborCost AS kpiLaborCost, 
  TG.kpiResourceCost AS kpiResourceCost, 
  TG.kpiRework AS kpiRework, 
  TG.kpiTotalTimeClock AS kpiTotalTimeClock, 
  TG.kpiValueAdd AS kpiValueAdd, 
  TG.kpiWaitTimeClock AS kpiWaitTimeClock, 
  TG.NODE_ID AS NODE_ID, 
  TG.RHVar1 AS RHVar1, 
  TG.STEP AS STEP, 	
  TG.TRACKING_GROUP_ID, 
  TG.TRACKING_POINT_ID, 
  TG.TASK_ID, 
  TG.FUNCTIONAL_TASK_ID, 
  TG.TIME_STAMP,
  S.NAME AS SNAPSHOT, 
  S.SHORT_NAME AS ACRONYM
  ,DATE(TIME_STAMP) + (1 - DAYOFYEAR(TIME_STAMP)) DAYS AS 
  TIME_STAMP_YEARS,DATE(TIME_STAMP) - MOD(MONTH(TIME_STAMP) - 1, 3) 
  MONTHS - (DAY(TIME_STAMP) - 1) 
  DAYS AS TIME_STAMP_QUARTERS,DATE(TIME_STAMP) + (1 - DAY(TIME_STAMP)) 
  DAYS AS TIME_STAMP_MONTHS,DATE(TIME_STAMP) + 
  (1 - DAYOFWEEK(TIME_STAMP)) DAYS AS TIME_STAMP_WEEKS,
  DATE(TIME_STAMP) AS TIME_STAMP_DAYS
FROM 
  V_SQLID.TG_at1311158013828 TG 
  LEFT OUTER JOIN V_SQLID.LSW_SNAPSHOT S 
  ON S.SNAPSHOT_ID = TG.SNAPSHOT_ID;

CREATE VIEW V_SQLID.SNAPSHOTS
AS
SELECT 
  SNAPSHOT_ID, 
  NAME, 
  DESCRIPTION, 
  SHORT_NAME AS ACRONYM
FROM 
  V_SQLID.LSW_SNAPSHOT;

CREATE VIEW V_SQLID.TASKS
AS
SELECT 
  TASK_ID,
  FUNCTIONAL_TASK_ID,
  CREATION_TIME,
  START_TIME,
  END_TIME,
  SYSTEM_USER_ID,
  USERNAME,
  BPD_NAME,
  STARTING_PROCESS_ID,
  ACTIVITY_NAME,
  SYSTEM_TASK_ID,
  SYSTEM_FUNCTIONAL_TASK_ID,
  S.NAME AS SNAPSHOT,
  S.SHORT_NAME AS ACRONYM,
  IS_INSTANCE,
  MAX_STEP
FROM 
  V_SQLID.LSW_TASK T
  LEFT OUTER JOIN V_SQLID.LSW_SNAPSHOT S ON T.SNAPSHOT_ID = 
  S.SNAPSHOT_ID
  LEFT OUTER JOIN V_SQLID.LSW_USER_MAPPINGS U ON T.SYSTEM_USER_ID = 
  CAST(U.USER_ID as CHAR) AND T.SYSTEM_ID = U.SYSTEM_ID 
WHERE
  T.SYSTEM_ID = 3;

CREATE VIEW V_SQLID.TIMINGINTERVALS
AS
SELECT 
  TIMING_INTERVAL_ID, 
  NAME, 
  DESCRIPTION
FROM 
  V_SQLID.LSW_TIMING_INTERVAL 
WHERE 
  SYSTEM_ID = 3;

CREATE VIEW V_SQLID.TIMINGINTERVALVALUE
AS
SELECT 
  TIV.TIMING_INTERVAL_ID, 
  TIV.START_TRACKING_POINT_ID, 
  TIV.END_TRACKING_POINT_ID, 
  TIV.START_TIME, 
  TIV.END_TIME, 
  TIV.DURATION, 
  TIV.START_TASK_ID, 
  TIV.END_TASK_ID, 
  TIV.FUNCTIONAL_TASK_ID,
  SS.NAME AS START_SNAPSHOT,
  ES.NAME AS END_SNAPSHOT 
FROM 
  V_SQLID.LSW_TIMING_INTERVAL_VALUE TIV
  INNER JOIN V_SQLID.LSW_TRACKING_POINT STP ON STP.TRACKING_POINT_ID=
  TIV.START_TRACKING_POINT_ID 
  INNER JOIN V_SQLID.LSW_SNAPSHOT SS ON SS.SNAPSHOT_ID=STP.SNAPSHOT_ID
  INNER JOIN V_SQLID.LSW_TRACKING_POINT ETP ON ETP.TRACKING_POINT_ID=
  TIV.END_TRACKING_POINT_ID 
  INNER JOIN V_SQLID.LSW_SNAPSHOT ES ON ES.SNAPSHOT_ID=ETP.SNAPSHOT_ID
WHERE 
  TIV.SYSTEM_ID = 3;

CREATE VIEW V_SQLID.TRACKEDFIELDS
AS
SELECT 
  TF.TRACKED_FIELD_ID, 
  TF.TRACKING_GROUP_ID, 
  TF.NAME, 
  TF.DESCRIPTION, 
  TF.FIELD_TYPE,
  S.NAME AS SNAPSHOT,
  S.SHORT_NAME AS ACRONYM
FROM 
  V_SQLID.LSW_TRACKED_FIELD TF 
  INNER JOIN V_SQLID.LSW_SNAPSHOT S ON S.SNAPSHOT_ID=TF.SNAPSHOT_ID 
WHERE 
  TRACKING_GROUP_ID IN (
    SELECT 
      TRACKING_GROUP_ID 
        FROM 
          V_SQLID.LSW_TRACKING_GROUP 

    WHERE 
      SYSTEM_ID = 3
  );

CREATE VIEW V_SQLID.TRACKEDFIELDUSE
AS
SELECT 
  TFU.TRACKED_FIELD_USE_ID, 
  TFU.TRACKING_GROUP_ID, 
  TFU.TRACKING_POINT_ID, 
  TFU.TRACKED_FIELD_ID,
  S.NAME AS SNAPSHOT,
  S.SHORT_NAME AS ACRONYM
FROM 
  V_SQLID.LSW_TRACKED_FIELD_USE TFU 
  INNER JOIN V_SQLID.LSW_SNAPSHOT S ON S.SNAPSHOT_ID=TFU.SNAPSHOT_ID
WHERE 
  TRACKING_GROUP_ID IN (
    SELECT 
      TRACKING_GROUP_ID 
      FROM 
        V_SQLID.LSW_TRACKING_GROUP
    WHERE 
      SYSTEM_ID = 3
  );

CREATE VIEW V_SQLID.TRACKINGGROUPS
AS
SELECT 
  TG.TRACKING_GROUP_ID, 
  TG.NAME, 
  TG.DESCRIPTION, 
  S.NAME AS SNAPSHOT, 
  S.SHORT_NAME AS ACRONYM 
FROM 
  V_SQLID.LSW_TRACKING_GROUP TG 
  INNER JOIN V_SQLID.LSW_SNAPSHOT S ON S.SNAPSHOT_ID = TG.SNAPSHOT_ID
WHERE 
  TG.SYSTEM_ID = 3;

CREATE VIEW V_SQLID.TRACKINGPOINTS
AS
SELECT 
  TP.TRACKING_POINT_ID, 
  TP.TRACKING_GROUP_ID, 
  TP.NAME, 
  TP.DESCRIPTION,
  S.NAME AS SNAPSHOT,
  S.SHORT_NAME AS ACRONYM
FROM 
  V_SQLID.LSW_TRACKING_POINT TP 
  INNER JOIN V_SQLID.LSW_SNAPSHOT S ON S.SNAPSHOT_ID=TP.SNAPSHOT_ID
WHERE 
  SYSTEM_ID = 3;

CREATE VIEW V_SQLID.TRACKINGPOINTVALUE
AS
SELECT 
  TPV.TRACKING_POINT_ID, 
  TPV.TASK_ID, 
  TPV.FUNCTIONAL_TASK_ID, 
  TPV.TIME_STAMP,
  S.NAME AS SNAPSHOT,
  S.SHORT_NAME AS ACRONYM
  ,DATE(TIME_STAMP) + (1 - DAYOFYEAR(TIME_STAMP)) DAYS AS 
  TIME_STAMP_YEARS,DATE(TIME_STAMP) - MOD(MONTH(TIME_STAMP) - 1, 3) 
  MONTHS - (DAY(TIME_STAMP) - 1) 
  DAYS AS TIME_STAMP_QUARTERS,DATE(TIME_STAMP) + (1 - DAY(TIME_STAMP))
  DAYS AS TIME_STAMP_MONTHS,
  DATE(TIME_STAMP) + (1 - DAYOFWEEK(TIME_STAMP)) 
  DAYS AS TIME_STAMP_WEEKS,DATE(TIME_STAMP) AS TIME_STAMP_DAYS            
FROM 
  V_SQLID.LSW_TRACKING_POINT_VALUE TPV 
  LEFT OUTER JOIN V_SQLID.LSW_SNAPSHOT S ON S.SNAPSHOT_ID=
  TPV.SNAPSHOT_ID
WHERE 
  SYSTEM_ID = 3;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'BPD_ID',
 NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL, 
 ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 3;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'SOURCE_EUID',
 NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
 ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 4;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'LOCAL_SNAPSHOT_ID',
 NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
 ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 5;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'STEP_NUMBER',
 NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL, 
 ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 6;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'SEQUENCE_FLOW_ID',
 NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL, 
 ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 7;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'BPD_INSTANCE_ID',
 NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL, 
 ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 8;

UPDATE V_SQLID.LSW_TABLE SET TABLE_NAME = 'V_SQLID.TG_PROCESSFLOWS',
 NEW_TABLE_NAME = NULL, NEW_CONSTR_PREFIX = NULL WHERE TABLE_ID = 3;

UPDATE V_SQLID.LSW_TABLE SET REP_STATUS = 0,
   REP_ACTION = NULL WHERE TABLE_ID = 3;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'SLA_VALUE',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 9;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'INTERIM',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 10;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'VIOLATION_LEVEL',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 11;

UPDATE V_SQLID.LSW_TABLE SET TABLE_NAME = 'V_SQLID.TG_SLASTATUS',
   NEW_TABLE_NAME = NULL, NEW_CONSTR_PREFIX = NULL WHERE TABLE_ID = 4;

UPDATE V_SQLID.LSW_TABLE SET REP_STATUS = 0,
   REP_ACTION = NULL WHERE TABLE_ID = 4;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'TARGET_VALUE',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 12;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'TRACKING_POINT_GUID',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 13;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'METRIC_VALUE',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 14;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'VIOLATION_LEVEL',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 15;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'METRIC_GUID',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 16;

UPDATE V_SQLID.LSW_TABLE 
   SET TABLE_NAME = 'V_SQLID.TG_SLATHRESHOLDTRAVERSALS',
   NEW_TABLE_NAME = NULL, NEW_CONSTR_PREFIX = NULL WHERE TABLE_ID = 5;

UPDATE V_SQLID.LSW_TABLE SET REP_STATUS = 0,
   REP_ACTION = NULL WHERE TABLE_ID = 5;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'kpiValueAdd',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 17;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'kpiExecutionTimeClock',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 18;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'kpiRework',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 19;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'STEP',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 20;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'NODE_ID',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 21;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'RHVar1',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 22;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'kpiTotalTimeClock',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 23;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'kpiCost',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 24;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'kpiWaitTimeClock',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 25;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'kpiResourceCost',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 26;

UPDATE V_SQLID.LSW_COLUMN SET COLUMN_NAME = 'kpiLaborCost',
   NEW_COLUMN_NAME = NULL, NEW_FIELD_TYPE = NULL,
   ALLOCATED = CURRENT TIMESTAMP WHERE COLUMN_ID = 27;

UPDATE V_SQLID.LSW_TABLE SET TABLE_NAME = 'V_SQLID.TG_at1311158013828',
   NEW_TABLE_NAME = NULL, NEW_CONSTR_PREFIX = NULL WHERE TABLE_ID = 6;

UPDATE V_SQLID.LSW_TABLE SET REP_STATUS = 0,
   REP_ACTION = NULL WHERE TABLE_ID = 6;

INSERT INTO V_SQLID.LSW_VIEW
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (4, 3, 3, 0, 'V_SQLID.PROCESSFLOWS', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW 
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (6, 3, 5, 0, 'V_SQLID.SLATHRESHOLDTRAVERSALS', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW 
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (5, 3, 4, 0, 'V_SQLID.SLASTATUS', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW 
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (3, 3, 6, 0, 'V_SQLID.at1311158013828', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW 
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (7, 3, null, 1, 'SNAPSHOTS', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (8, 3, null, 1, 'TASKS', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (9, 3, null, 1, 'TIMINGINTERVALS', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (10, 3, null, 1, 'TIMINGINTERVALVALUE', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (11, 3, null, 1, 'TRACKEDFIELDS', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (12, 3, null, 1, 'TRACKEDFIELDUSE', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (13, 3, null, 1, 'TRACKINGGROUPS', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (14, 3, null, 1, 'TRACKINGPOINTS', CURRENT TIMESTAMP );

INSERT INTO V_SQLID.LSW_VIEW
   (VIEW_ID, SYSTEM_ID, TABLE_ID, VIEW_TYPE, NAME, CREATED_DATE)
 VALUES 
   (15, 3, null, 1, 'TRACKINGPOINTVALUE', CURRENT TIMESTAMP );

COMMIT;
